{
  "description": "ContainerStateTerminated is a terminated state of a container.",
  "properties": {
    "containerID": {
      "description": "Container's ID in the format '<type>://<container_id>'",
      "type": [
        "string",
        "null"
      ]
    },
    "exitCode": {
      "description": "Exit status from the last termination of the container",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "finishedAt": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "Time at which the container last terminated"
    },
    "message": {
      "description": "Message regarding the last termination of the container",
      "type": [
        "string",
        "null"
      ]
    },
    "reason": {
      "description": "(brief) reason from the last termination of the container",
      "type": [
        "string",
        "null"
      ]
    },
    "signal": {
      "description": "Signal from the last termination of the container",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "startedAt": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "Time at which previous execution of the container started"
    }
  },
  "required": [
    "exitCode"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/containerstateterminated/v1"
}